Module ij
Package ij.util

# Class ArrayUtil

java.lang.Object
ij.util.ArrayUtil

public class ArrayUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ArrayUtil(float[] data)`
constructeur
`ArrayUtil(int size)`
constructeur

## Method Summary

Modifier and Type
Method
Description
`double`
`getMaximum()`
The maximum value
`double`
`getMean()`
Average value
`double`
`getMinimum()`
The minimum value
`double`
`getVariance()`
Variance value
`boolean`
`isMaximum(double val)`
`double`
`medianSort()`
The median (sorted array)
`boolean`
`putValue(int pos, float value)`
put a value to a index
`void`
`setSize(int si)`
`void`
`sort()`
`String`
`toString()`
information to be displayed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayUtil

public ArrayUtil(int size)
constructeur

Parameters:
  `size` - number of elements

### ArrayUtil

public ArrayUtil(float[] data)
constructeur

Parameters:
  `data` - float array

## Method Details

### setSize

public void setSize(int si)

### putValue

public boolean putValue(int pos, float value)
put a value to a index

Parameters:
  `pos` - position in the array
  `value` - value to put
Returns:
  false if position does not exist

### getMean

public double getMean()
Average value

Returns:
  average value

### medianSort

public double medianSort()
The median (sorted array)

Returns:
  mediane

### sort

public void sort()

### isMaximum

public boolean isMaximum(double val)

### getMinimum

public double getMinimum()
The minimum value

Returns:
  min value

### getMaximum

public double getMaximum()
The maximum value

Returns:
  max value

### getVariance

public double getVariance()
Variance value

Returns:
  variance

### toString

public String toString()
information to be displayed

Overrides:
  `toString` in class `Object`
Returns:
  text